#include <bits/stdc++.h>
using namespace std;
double n,zarada[200005],porez[200005],ZarSuma,procenat,UkupnaZaradjenaSuma,MaxZarSuma;
int main(){
cin>>n;
for(int i=1;i<=n;i++){
    scanf("%lf %lf",&zarada[i],&porez[i]);
   // UkupnaZaradjenaSuma+=zarada[i];

}

for(int i=1;i<=n;i++){
    procenat=porez[i]/100.0;
    //ZarSuma=UkupnaZaradjenaSuma*procenat;
    ZarSuma=0;
    for(int k=1;k<=n;k++){
        if(porez[k]>=porez[i])ZarSuma+=zarada[k]*procenat;
    }
    if(ZarSuma>MaxZarSuma)MaxZarSuma=ZarSuma;
}
cout<<setprecision(4)<<fixed<<MaxZarSuma<<endl;
return 0;}